Irrlicht Engine: irr::scene::SMD3QuaternionTag Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMD3QuaternionTag Struct Reference

hold a tag info for connecting meshes More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Member Functions
SMD3QuaternionTag & | operator= (const SMD3QuaternionTag &copyMe)
bool | operator== (const SMD3QuaternionTag &other) const
void | setto (core::matrix4 &m)
| SMD3QuaternionTag (const core::vector3df &pos, const core::vector3df &angle)
| SMD3QuaternionTag (const core::stringc &name, const core::matrix4 &m)
| SMD3QuaternionTag (const core::stringc &name)
| SMD3QuaternionTag (const SMD3QuaternionTag &copyMe)
virtual | ~SMD3QuaternionTag ()
## Public Attributes
core::stringc | Name
core::vector3df | position
core::quaternion | rotation

## Detailed Description

hold a tag info for connecting meshes

Basically its an alternate way to describe a transformation.

Definition at line 160 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

virtual irr::scene::SMD3QuaternionTag::~SMD3QuaternionTag | ( |  | ) | `[inline, virtual]`

Definition at line 162 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const SMD3QuaternionTag & | copyMe | ) | `[inline]`

Definition at line 168 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::stringc & | name | ) | `[inline]`

Definition at line 174 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::stringc & | name,
|  | const core::matrix4 & | m |
| ) |  |  | `[inline]`

Definition at line 178 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::vector3df & | pos,
|  | const core::vector3df & | angle |
| ) |  |  | `[inline]`

Definition at line 182 of file IAnimatedMeshMD3.h.

## Member Function Documentation

SMD3QuaternionTag& irr::scene::SMD3QuaternionTag::operator= | ( | const SMD3QuaternionTag & | copyMe | ) | `[inline]`

Definition at line 196 of file IAnimatedMeshMD3.h.

References Name.

bool irr::scene::SMD3QuaternionTag::operator== | ( | const SMD3QuaternionTag & | other | ) | const`[inline]`

Definition at line 191 of file IAnimatedMeshMD3.h.

References irr::core::quaternion::getMatrix(), position, and rotation.

void irr::scene::SMD3QuaternionTag::setto | ( | core::matrix4 & | m | ) | `[inline]`

Definition at line 186 of file IAnimatedMeshMD3.h.

## Member Data Documentation

core::stringc irr::scene::SMD3QuaternionTag::Name

Definition at line 204 of file IAnimatedMeshMD3.h.

Referenced by operator=().

core::vector3df irr::scene::SMD3QuaternionTag::position

Definition at line 205 of file IAnimatedMeshMD3.h.

Referenced by operator==().

core::quaternion irr::scene::SMD3QuaternionTag::rotation

Definition at line 206 of file IAnimatedMeshMD3.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)